%define lib_major       17
%define lib_name        %mklibname %{name} %{lib_major}
%define lib_name_d      %mklibname %{name} -d

Name:		gloox
Version:	1.0.21
Release:	%mkrel 1
Summary:	C++ full-featured Jabber/XMPP client library
URL:		http://camaya.net/gloox/
Source0:	http://camaya.net/download/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:	System/Libraries
#---------------------------------------------
BuildRequires:	%{_lib}iksemel-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gnutls-devel 
BuildRequires: %{_lib}gpg-error-devel 
BuildRequires: %{_lib}idn-devel 
BuildRequires: make 
BuildRequires: pkgconfig
BuildRequires: zlib1-devel
#---------------------------------------------
%description
gloox is a C++ Jabber/XMPP library which takes care of the
low-level protocol stuff. Additionally, it offers high-level
interfaces for interaction with an XMPP server. It is released
under the GNU GPL. Commercial licenses are available.

%package -n %{lib_name}
Summary:        Libraries for %{name}
Group:          System/Libraries
Obsoletes:      %{_lib}gloox8
Obsoletes:      %{_lib}gloox13
Obsoletes:      %{name} < %{version}-%{release}
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
%{name} librairies.

%package -n %{lib_name_d}
Summary:        Headers for %{name}
Group:          Development/Libraries
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{lib_name} = %{version}-%{release}
Obsoletes:      %{_lib}gloox-static-devel < 1.0.14-3

%description -n %{lib_name_d}
Headers for %{name} librairies.


%prep
%setup -q

%build
export PTHREAD_LIBS="-lpthread"
%configure2_5x --disable-static --without-tests
%make_build

%install
rm -rf %buildroot
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -n %{lib_name}
%doc AUTHORS ChangeLog TODO UPGRADING
%{_libdir}/lib*%{name}.so.%{lib_major}*

%files -n %{lib_name_d}
%{_bindir}/%{name}-config
%{_includedir}/%{name}/
%{_libdir}/lib*%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Nov 17 2018 adrianomorselli <adrianomorselli> 1.0.21-1uplos2018
- update
